<!DOCTYPE html>
<meta charset="utf-8">
<title>D3 Zoomable Sunburst</title>
<link rel="stylesheet" type="text/css" href="https://unpkg.com/@observablehq/notebook-inspector@1/dist/notebook-inspector-style.css">
<link rel="stylesheet" href="http://fonts.googleapis.com/css?family=Abel&#038;ver=1" media="screen" />

<!--
<script src="https://d3plus.org/js/d3.js"></script>
<script src="https://d3plus.org/js/d3plus.js"></script>
-->
<script src="https://d3js.org/d3.v3.min.js"></script>

<style>
    .observablehq--expanded{
        display: none;
    }
    .observablehq--function {
        display: none;
    }
    .observablehq--number {
        display: none;
    }
    .observablehq--collapsed {
        display: none;
    }
    
    .observablehq {
        margin-top: 20px;
    }
        
    body {
        height: 100%;
        background-color: linear-gradient(#33556e, #222222, #33556e); /* For browsers that do not support gradients */
        background-image: linear-gradient(#33556e, #222222, #33556e); /* Standard syntax (must be last) */
        font-family: "Abel",sans-serif;
        margin: 0;
    }
    .header-fixed {
        position: fixed;
        width: 100%;
        top:0;
    }
    
    .line {
        fill: none;
        stroke: #ffab00;
        stroke-width: 3;
    }
    .overlay {
      fill: none;
      pointer-events: all;
    }
    /* Style the dots by assigning a fill and stroke */
    .dot {
        fill: #ffab00;
        stroke: #fff;
    }
      .focus circle {
      fill: none;
      stroke: steelblue;
    }
    
    .x axis {
        color:white;
    }
    #trend1 {
            position: absolute;
    height: 100vh;
    display: flex;
    justify-content: center;
        align-items: center;
        top:0;
    }
    #trend1 svg {
        background: #fff;
    }
    
    .gaugeTable {
        position: absolute;
        top:740px;
    }
    
    #power-gauge g.arc {
		fill: steelblue;
	}

	#power-gauge g.pointer {
		fill: #e85116;
		stroke: #b64011;
	}
	
	#power-gauge g.label text {
		text-anchor: middle;
		font-size: 14px;
		font-weight: bold;
		fill: #666;
	}
    
    #gaugeTable-row td {
    background: #fff;
    display: flex;
    float: left;
    padding: 15px;
    margin-left: 11px;
}
          
</style>

<body onmouseover="onMouseOverPosition(event)">

  
<div>
    <img src="unilever_logo.png" alt="Smiley face" height="80" width="70">
    <div class="header-fixed">
        <h1 style="color:white; text-align: center;margin-bottom: 0;"> UNILEVER DIGITAL TRANSFORMATION </h1>
        <p style="color:white;text-align: center;margin-top: 5px;margin-bottom: 5px;">Digitization across the value chain underpinned by Talent, Agile Ways of Working, Organization and Culture </p>
    </div>
</div>
    

<div id="trend1"> </div>
    
<table class="gaugeTable" style="width:100%;">
      <tr id="gaugeTable-row">
      </tr>
    </table>
    
		
    
       
<script type="module">
    
import {Inspector, Runtime} from "https://unpkg.com/@observablehq/notebook-runtime@1?module";
import notebook from "./d3-zoomable-sunburst.js";
    
   
Runtime.load(notebook, Inspector.into(document.body));

</script>
<script>


function onMouseOverPosition(event) {
    console.log("mouse over",event)
    var w = window.innerWidth / 2
    var getId = document.getElementById('trend1')
    if(w < event.clientX) {
    getId.style.left = null
        getId.style.right = 25+'px';
    } else {
    getId.style.right = null
        getId.style.left = 25+'px';
    }
    
}
    
</script>